## awl 0.34

=== Makefile ===
#!/usr/bin/make -f
# 

package=awl
version=$(shell cat VERSION)

all: built-docs 

built-docs: docs/api/phpdoc.ini inc/*.php
	phpdoc -c docs/api/phpdoc.ini || echo "WARNING: the docs could not be built"
	touch built-docs

#
# Build a release .tar.gz file in the directory above us
#
release: built-docs
	-ln -s . $(package)-$(version)
	tar czf ../$(package)-$(version).tar.gz \
	    --no-recursion --dereference $(package)-$(version) \
	    $(shell git-ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
	rm $(package)-$(version)
	
clean:
	rm -f built-docs
	-find . -name "*~" -delete
	
clean-all: clean
	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

.PHONY:  all clean release

=== debian/changelog ===
awl (0.34) unstable; urgency=low

  * [General] Use @todo: everywhere for phpdocumentor.
  * [iCalendar] Make iCalComponent usable in preference to iCalendar.
  * [classBrowser] A hook can display the row if it matches a pattern.
  * Better namespace handlin in XML processing.
  * [iCalendar] Add functions for attendee/organizer checking.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 18 Nov 2008 18:11:08 +1300

awl (0.33) unstable; urgency=low

  * Remove a couple of uninitialised variable warnings.
  * [AWLUtilties] Add a quoted_printable_encode function
  * [XMLDocument] New object to assist with namespaced XML document creation.
  * [iCalendar] Remove the expectation that XML will be case folded.
  * [iCalendar] New iCalendar->Add method to add properties which occur multiply.
  * [iCalendar] Fix word wrapping.
  * [iCalendar] Add CALSCALE:GREGORIAN to response.
  * [PgQuery] Escaping for newer Postgres versions should be preceded with an 'E'.
  * [General] Remove lots of uninitialised variable warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 28 Oct 2008 20:23:20 +1300

awl (0.32) unstable; urgency=low

  * Include docs & don't compress classTree.js (closes: #493687)
  * Recommend php5|4 rather than depend (closes: #493686)
  * debian/compat should be in the source package.
  * Clean up minor lintian warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 16 Sep 2008 14:04:02 +1200

awl (0.31) unstable; urgency=low

  * Packaging changes for Debian upload.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 14 Jul 2008 22:43:45 +1200

awl (0.30) unstable; urgency=low

  * Split API docs to separate package.
  * Add auth_external routine to acknowledge external authentication.
  * [iCalendar] Don't create a property called 'type'
  * Log when deprecated functions are called
  * Reduce uninitialised variable warnings.
  * Close Debian ITP bug (closes: #490438)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Jul 2008 23:08:11 +1200

awl (0.29) unstable; urgency=low

  * Minor code cleanup.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 May 2008 21:16:28 +1200

awl (0.28) unstable; urgency=low

  * Remove references to the 'general' database user.
  * Add type cast to work correctly with PostgreSQL 8.3

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 18 Apr 2008 17:32:01 +1200

awl (0.27) unstable; urgency=low

  * Changes to database creation scripts to separate table definitions from
    ownership definitions.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 00:21:46 +1200

awl (0.26) unstable; urgency=low

  * Improve translatability of interfaces.
  * [classBrowser] Provide a pre-formatting hook for column value manipulation.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 00:19:26 +1200

awl (0.25) unstable; urgency=low

  * [iCalendar] Fix naming of Set function.
  * [iCalendar] Fix wrapping of components.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 09 Feb 2008 20:08:21 +1300

awl (0.24) unstable; urgency=low

  * Add the ability to open Database connections persistently.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 23 Jan 2008 23:51:16 +1300

awl (0.23) unstable; urgency=low

  * [iCalendar] Fixes to timezone handling.
  * [iCalendar] Bugfix in SetComponents
  * [XMLElement] Method to return count of sub-elements.
  * [Session] Log detailed error when SSHA passwords are present but not
    supported.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 16 Jan 2008 21:52:28 +1300

awl (0.22) unstable; urgency=low

  * Add a Salted SHA-1 password hashing algorithm compatible with OpenLDAP and
    make it the default.
  * iCalendar: ClearComponents should be recursive.
  * DataUpdate: Add a cache for the field names retrieved from the DB.
  * AuthPlugins: Add an optional 'where' clause to auth_other_awl

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 01 Nov 2007 21:22:00 +1300

awl (0.21) unstable; urgency=low

  * Add support for rendering a restricted set of properties.
  * Disallow login for inactive users in auth_other_awl

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 25 Oct 2007 15:11:17 +1300

awl (0.20) unstable; urgency=low

  * Rewrite of iCalendar.php to fully parse the structure.
  * Allow second-level ordering of Browse widgets.
  * Add optional parameters to PgQuery::BuildOptionList

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 16 Oct 2007 13:30:52 +1300

awl (0.19) unstable; urgency=low

  * More care when recording timezones.
  * New PHPDocumentor structure.
  * Various fixes and enhancements to XMLElement.php
  * New packaging layout.
  * Changes to iCalendar.php to implement CalDAV filters.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 14 Jun 2007 20:31:55 +0100

awl (0.18) unstable; urgency=low

  * Improve formatting of default date.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 18 Apr 2007 22:10:21 +1200

awl (0.17) unstable; urgency=low

  * Added a clone() function for forward compatibility with PHP5.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 19 Mar 2007 12:48:35 +1200

awl (0.16) unstable; urgency=low

  * Fix some warnings under PHP5.
  * Minor change to query logging.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  8 Mar 2007 11:02:51 +1300

awl (0.15) unstable; urgency=low

  * Release 0.15.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 19 Feb 2007 21:04:22 +1300

awl (0.14) unstable; urgency=low

  * Add a function for UUID generation.
  * Record what locale we did successfully set.
  * Extended XML handling library to support easier building and
    querying of an internal structure.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 23 Dec 2006 22:17:28 +1300

awl (0.13) unstable; urgency=low

  * Remove unassigned value warnings and others that show up when we enable
    E_NOTICE in php.ini.
  * Allow for something to hook into the authentication process.  Include a
    simple example.



=== debian/control ===
Source: awl
Section: web
Priority: extra
Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5)
Vcs-git: git://git.catalyst.net.nz/awl.git
Vcs-browser: http://git.catalyst.net.nz/?p=awl.git
Homepage: http://andrew.mcmillan.net.nz/projects/awl

Package: libawl-php
Architecture: all
Depends: debconf (>= 1.0.32), perl
Recommends: php5 | php4 (>= 4:4.3)
Description: Andrew's Web Libraries - PHP Utility Libraries
 This package contains Andrew's Web Libraries.  This is a set
 of hopefully lightweight libraries for handling a variety of
 useful things for web programming, including:
  - Session management
  - User management
  - DB Records
  - Simple reporting
  - DB Schema Updating
  - iCalendar parsing
 .
 There is some documentation in the awl-doc package.

Package: awl-doc
Section: doc
Architecture: all
Depends: debconf (>= 1.0.32)
Description: Andrew's Web Libraries - API documentation
 This package documents Andrew's Web Libraries.  This is a set
 of hopefully lightweight libraries for handling a variety of
 useful things for web programming, including:
  - Session management
  - User management
  - DB Records
  - Simple reporting
  - DB Schema Updating
  - iCalendar parsing
 .
 This package contains detailed technical documentation for the
 classes and methods in these libraries.

## awl 0.37

=== debian/changelog ===
awl (0.37) unstable; urgency=low

    * [XMLDocument] href method now returns an array of hrefs.
    * [Browser] Allow forced result ordering.
    * [Browser] Add a method to retrieve total for a column.
    * [Browser] Add facility for DISTINCT to browser clauses.
    * [Session] Fix unset variables in temporary password requests.
    * [MenuSet] Default to not displaying empty menus.
    * [XMLElement] Return null on no value, rather than returning without a value.
    * [User] Display current record better.
    * [iCalendar] More efficient use of memory.
    * [Session] This isn't just a WRMS library any longer...
    * [PgQuery] Move DB version detection out of the DB.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 22 Jun 2009 14:18:34 +1200

awl (0.36) unstable; urgency=low

  * [User] Add new changeusername/changeactive restrictions.
  * [MenuSet] Allow presentation as CSS styled menus.
  * [PgQuery] Get rid of ini_set/ini_get calls.
  * [classBrowser] Allow the enclosing div to be customised.
  * [AWMUtilities] New parameter cleaning function.
  * [MenuSet] Improve default sorting of menu options.
  * [iCalendar] Mask components and clone confidential events.
  * [classBrowser] Move column value replacement into the object.
  * [iCalendar] Correct an error appending components.
  * [DataUpdate] Use SSHA1 by preference on password updates.
  * [Session] local_index_not_logged_in is no longer preceded/followed by calls
    to page-header.php/page-footer.php.
  * [classBrowser] Add methods to SetLimit() and SetOffset() in the query.
  * [DataUpdate] Add a field type for 'interval'.
  * [DataUpdate] Explicitly return a null value for fields which are not set.
  * Various general bugfixes and warning removals.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Apr 2009 21:53:28 +1200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: web
 Priority: extra
 Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5)
-Vcs-git: git://git.catalyst.net.nz/awl.git
-Vcs-browser: http://git.catalyst.net.nz/?p=awl.git
+Vcs-git: git://repo.or.cz/awl.git
+Vcs-browser: http://repo.or.cz/w/awl.git
 Homepage: http://andrew.mcmillan.net.nz/projects/awl
 
 Package: libawl-php

## awl 0.45

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	-ln -s . $(package)-$(version)
 	tar czf ../$(package)-$(version).tar.gz \
 	    --no-recursion --dereference $(package)-$(version) \
-	    $(shell git-ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
+	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
 	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
 	rm $(package)-$(version)

## awl 0.46

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,13 @@
 built-docs: docs/api/phpdoc.ini inc/*.php
 	phpdoc -c docs/api/phpdoc.ini || echo "WARNING: the docs could not be built"
 	touch built-docs
+
+#
+# Insert the current version number into AWLUtilities.php
+#
+inc/AWLUtilities.php: scripts/build-AWLUtilities.sh VERSION inc/AWLUtilities.php.in
+	scripts/build-AWLUtilities.sh <inc/AWLUtilities.php.in >inc/AWLUtilities.php
+
 
 #
 # Build a release .tar.gz file in the directory above us

## awl 0.53

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,13 @@
 # 
 
 package=awl
-version=$(shell cat VERSION)
+majorversion = $(shell sed -n 's:\([0-9\.]*\)[-a-f0-9-]*:\1:p' VERSION)
+gitrev = 0
+version = $(majorversion)
+issnapshot = 0
+snapshot : gitrev = $(shell git rev-parse --short HEAD)
+snapshot : version = $(majorversion)-git$(gitrev)
+snapshot : issnapshot = 1
 
 all: built-docs 
 
@@ -22,15 +28,21 @@
 #
 release: built-docs
 	-ln -s . $(package)-$(version)
+	sed 's:@@VERSION@@:$(majorversion):' php-awl.spec.in | \
+        sed 's:@@ISSNAPSHOT@@:$(issnapshot):' | \
+        sed 's:@@GITREV@@:$(gitrev):' > php-awl.spec
 	tar czf ../$(package)-$(version).tar.gz \
 	    --no-recursion --dereference $(package)-$(version) \
 	    $(shell git ls-files |grep -v '.git'|sed -e s:^:$(package)-$(version)/:) \
-	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" )
+	    $(shell find $(package)-$(version)/docs/api/ ! -name "phpdoc.ini" ) php-awl.spec
 	rm $(package)-$(version)
-	
+
+snapshot: release
+
 clean:
 	rm -f built-docs
 	-find . -name "*~" -delete
+	rm -f php-awl.spec
 	
 clean-all: clean
 	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete

## awl 0.55

=== Makefile ===
--- 
+++ 
@@ -47,4 +47,7 @@
 clean-all: clean
 	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete
 
-.PHONY:  all clean release
+test:
+	PATH=$(PATH):./vendor/bin/ phpunit tests/
+
+.PHONY:  all clean release test

=== debian/changelog ===
awl (0.55-1) unstable; urgency=low

  * New upstream release
    + RFC compliant (case-insensitive) AUTH_TYPE (closes: #703381)
  * Takeover for the Davical Development Team (first part of #742498).
  * Use short-form debian/rules.
  * Switch to source format 3.0 (quilt).
  * Enable running phpunit tests.
  * Exclude vendor directory from tarball and use Debian's phpunit instead.
  * Clean up duplicate files (symlink identical files in api documentation).
  * Add doc-base registration for the api doc in awl-doc.
  * debian/control: move to section php and clean out Depends
  * Bump dh compat to level 9
  * Add a debian/watch file
  * Switch to copyright-format 1.0 debian/copyright
  * Declare compliance with Debian Policy 3.9.6

 -- Florian Schlichting <fsfs@debian.org>  Mon, 06 Oct 2014 23:44:30 +0200

awl (0.54-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Thu, 07 Mar 2013 00:12:59 +1300

awl (0.53-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jul 2012 19:06:03 +1200

awl (0.52-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sun, 17 Jun 2012 22:00:07 +1200

awl (0.51-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Fri, 13 Jan 2012 23:40:04 +1300

awl (0.50-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warnings.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jan 2012 13:49:06 +1300

awl (0.49-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Mon, 24 Oct 2011 20:10:02 +1300

awl (0.48-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sat, 24 Sep 2011 14:03:45 +1200

awl (0.47-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sat, 24 Sep 2011 13:56:27 +1200

awl (0.46-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sun, 11 Sep 2011 00:07:48 +1200

awl (0.45-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Tue, 21 Sep 2010 14:19:43 +1200

awl (0.44-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 13 Sep 2010 00:36:31 +1200

awl (0.43-0) unstable; urgency=low

  * New upstream release. (closes: #538598)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 15 Apr 2010 20:22:55 +1200

awl (0.42-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 08 Mar 2010 18:19:41 +1300

awl (0.41-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 23 Feb 2010 23:12:33 +1300

awl (0.40-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 05 Feb 2010 00:03:56 -0800

awl (0.39-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 21 Dec 2009 23:33:23 +1300

awl (0.38-0) unstable; urgency=low

  * New upstream release.
  * Full change history no longer kept in Debian changelog.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 06 Oct 2009 09:41:20 -0700

=== debian/control ===
Source: awl
Section: php
Priority: extra
Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
Uploaders: Andrew McMillan <awm@debian.org>,
 Florian Schlichting <fsfs@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), php5, phpunit
Vcs-git: https://gitlab.com/davical-project/awl.git
Vcs-browser: https://gitlab.com/davical-project/awl
Homepage: http://www.davical.org

Package: libawl-php
Architecture: all
Depends: ${misc:Depends}
Recommends: php5
Description: Andrew's Web Libraries - PHP Utility Libraries
 This package contains Andrew's Web Libraries.  This is a set
 of hopefully lightweight libraries for handling a variety of
 useful things for web programming, including:
  - Session management
  - User management
  - DB Records
  - Simple reporting
  - DB Schema Updating
  - iCalendar parsing
 .
 There is some documentation in the awl-doc package.

Package: awl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Andrew's Web Libraries - API documentation
 This package documents Andrew's Web Libraries.  This is a set
 of hopefully lightweight libraries for handling a variety of
 useful things for web programming, including:
  - Session management
  - User management
  - DB Records
  - Simple reporting
  - DB Schema Updating
  - iCalendar parsing
 .
 This package contains detailed technical documentation for the
 classes and methods in these libraries.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	tar cJf ../awl_$(VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=vendor --exclude=.pc --exclude=debian .

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## awl 0.56

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 snapshot : version = $(majorversion)-git$(gitrev)
 snapshot : issnapshot = 1
 
-all: built-docs 
+all: built-docs inc/AWLUtilities.php
 
 built-docs: docs/api/phpdoc.ini inc/*.php
 	phpdoc -c docs/api/phpdoc.ini || echo "WARNING: the docs could not be built"
@@ -48,6 +48,18 @@
 	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete
 
 test:
+	# simple php syntax check
+	@for PHP in inc/*.php; do php5 -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
+	    if [ -s test-syntax ]; then \
+		cat test-syntax >&2; \
+		rm test-syntax; \
+		exit 1; \
+	    else \
+		rm test-syntax; \
+		echo "OK (Syntax checked)"; \
+		exit 0; \
+	   fi
+	# run phpunit tests
 	PATH=$(PATH):./vendor/bin/ phpunit tests/
 
 .PHONY:  all clean release test

=== debian/changelog ===
awl (0.56-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1554352).
  * Use php to check syntax.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 22 Mar 2016 10:57:40 -0700

awl (0.56-1) unstable; urgency=medium

  * New upstream release
  * Remove boilerplate (no-op) Debian maintainer scripts
  * clean source tree before creating orig-source tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 11 Jan 2016 18:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: awl
 Section: php
 Priority: extra
-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), php5, phpunit
+Build-Depends: debhelper (>= 9), php, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl
 Homepage: http://www.davical.org
@@ -13,7 +14,7 @@
 Package: libawl-php
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: php5
+Recommends: php
 Description: Andrew's Web Libraries - PHP Utility Libraries
  This package contains Andrew's Web Libraries.  This is a set
  of hopefully lightweight libraries for handling a variety of

## awl 0.57

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# 
+#
 
 package=awl
 majorversion = $(shell sed -n 's:\([0-9\.]*\)[-a-f0-9-]*:\1:p' VERSION)
@@ -12,8 +12,8 @@
 
 all: built-docs inc/AWLUtilities.php
 
-built-docs: docs/api/phpdoc.ini inc/*.php
-	phpdoc -c docs/api/phpdoc.ini || echo "WARNING: the docs could not be built"
+built-docs: docs/phpdoc.ini inc/*.php
+	apigen generate --title=AWL --todo --tree --deprecated -s inc -d docs/api || phpdoc -c docs/phpdoc.ini || echo "WARNING: the docs could not be built"
 	touch built-docs
 
 #
@@ -41,15 +41,13 @@
 
 clean:
 	rm -f built-docs
+	rm -rf docs/api
 	-find . -name "*~" -delete
 	rm -f php-awl.spec
-	
-clean-all: clean
-	-find docs/api/* ! -name "phpdoc.ini" ! -name ".gitignore" -delete
 
 test:
 	# simple php syntax check
-	@for PHP in inc/*.php; do php5 -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
+	@for PHP in inc/*.php; do php -l $${PHP} | grep -v 'No syntax errors detected' >> test-syntax; done; \
 	    if [ -s test-syntax ]; then \
 		cat test-syntax >&2; \
 		rm test-syntax; \

=== debian/changelog ===
awl (0.57-1+deb9u1) stretch-security; urgency=high

  * Fix two security vulnerablilites (closes: #956650)
    + CVE-2020-11728 "Session::__construct() allows use of the current time as
      a session key"
    + CVE-2020-11729 "LSIDLogin() is insecure and can allow user
      impersonation"

 -- Florian Schlichting <fsfs@debian.org>  Tue, 14 Apr 2020 12:26:29 +0200

awl (0.57-1) unstable; urgency=medium

  * New upstream release (closes: #643907, #703139, #837154, LP: #1554352)
  * Use secure URIs
  * Bump copyright years
  * Use jdupes to remove duplicate files in awl-doc
  * Mark libawl-php and awl-doc "Multi-Arch: foreign" as suggested by the
    Multiarch hinter

 -- Florian Schlichting <fsfs@debian.org>  Mon, 23 Jan 2017 23:11:47 +0100

awl (0.56-2) unstable; urgency=medium

  * Update php (build-)dependencies to work with both php7 and php5. Based on
    the Ubuntu patch by Nishanth Aravamudan (thanks!). Closes: #821672
  * Declare compliance with Debian Policy 3.9.8

 -- Florian Schlichting <fsfs@debian.org>  Tue, 19 Apr 2016 21:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: awl
 Section: php
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), php, phpunit
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), jdupes, php-apigen, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl
-Homepage: http://www.davical.org
+Homepage: https://www.davical.org
 
 Package: libawl-php
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: php
+Recommends: php | php5
 Description: Andrew's Web Libraries - PHP Utility Libraries
  This package contains Andrew's Web Libraries.  This is a set
  of hopefully lightweight libraries for handling a variety of
@@ -31,6 +31,7 @@
 Package: awl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Andrew's Web Libraries - API documentation
  This package documents Andrew's Web Libraries.  This is a set

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	make clean
	tar cJf ../awl_$(VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=vendor --exclude=.pc --exclude=debian .

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	jdupes -rl debian/awl-doc/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
https://gitlab.com/davical-project/awl/tags \/davical-project\/awl\/repository\/archive.tar.gz\?ref=r([\d.]*)

## awl 0.58

=== debian/changelog ===
awl (0.58-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Florian Schlichting <fsfs@debian.org>  Mon, 06 Nov 2017 20:50:34 +0100

awl (0.58-1) unstable; urgency=medium

  * New upstream release (closes: #873592)
  * Update debian/watch to match changed Gitlab download URLs
  * Update debian/rules to use dpkg variables instead of parsing
    dpkg-changelog output
  * Update debian/control: Priority is optional, not extra (obsolete)
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Wed, 25 Oct 2017 10:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: awl
 Section: php
-Priority: extra
+Priority: optional
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9), jdupes, php-apigen, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

get-orig-source:
	make clean
	tar cJf ../foobar-awl_$(DEB_VERSION).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=vendor --exclude=.pc --exclude=debian .

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	jdupes -rl debian/awl-doc/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## awl 0.59

=== debian/changelog ===
awl (0.59-1) unstable; urgency=medium

  * New upstream release (closes: #882894)
  * Declare compliance with Debian Policy 4.1.3

 -- Florian Schlichting <fsfs@debian.org>  Thu, 11 Jan 2018 22:42:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 9), jdupes, php-apigen, phpunit
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9), jdupes, doxygen, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl
 Homepage: https://www.davical.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

get-orig-source:
	make clean
	tar cJf ../awl_$(DEB_VERSION_UPSTREAM).orig.tar.xz --exclude-vcs --exclude=.gitattributes --exclude=vendor --exclude=.pc --exclude=debian .

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	find debian/awl-doc/ -name '*.md5' -delete
	jdupes -rl debian/awl-doc/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
https://gitlab.com/davical-project/awl/tags \/davical-project\/awl\/repository\/r([\d.]*)\/archive.tar.gz

## awl 0.60

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 all: built-docs inc/AWLUtilities.php
 
-built-docs: docs/phpdoc.ini inc/*.php
-	apigen generate --title=AWL --todo --tree --deprecated -s inc -d docs/api || phpdoc -c docs/phpdoc.ini || echo "WARNING: the docs could not be built"
+built-docs: docs/phpdoc.ini docs/Doxyfile inc/*.php
+	doxygen docs/Doxyfile || apigen generate --title=AWL --todo --tree --deprecated -s inc -d docs/api || phpdoc -c docs/phpdoc.ini || echo "WARNING: the docs could not be built"
 	touch built-docs
 
 #

=== debian/changelog ===
awl (0.60-1+deb10u1ubuntu1) focal-security; urgency=medium

  * Sync from Debian buster.
  * Added changes:
    - debian/patches/fix-ftbfs-phpunit8.patch: drop empty setUp function,
      which causes make test to fail with PHPUnit 8.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 14 Sep 2020 10:39:33 -0300

awl (0.60-1+deb10u1) buster-security; urgency=high

  * Fix two security vulnerablilites (closes: #956650)
    + CVE-2020-11728 "Session::__construct() allows use of the current time as
      a session key"
    + CVE-2020-11729 "LSIDLogin() is insecure and can allow user
      impersonation"

 -- Florian Schlichting <fsfs@debian.org>  Tue, 14 Apr 2020 12:26:29 +0200

awl (0.60-1) unstable; urgency=medium

  * New upstream release (closes: #890313)
  * Update debian/watch to changed Gitlab directory layout
  * Update copyright years
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Wed, 30 Jan 2019 22:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: awl
 Section: php
 Priority: optional
-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), jdupes, doxygen, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl

=== debian/watch ===
version=3
https://gitlab.com/davical-project/awl/tags?sort=updated_desc \/davical-project\/awl\/-\/archive\/r([\d.]+)\/awl-r[\d.]+\.tar\.gz

## awl 0.61

=== debian/changelog ===
awl (0.61-1) unstable; urgency=medium

  * New upstream release (closes: #952182, #956650)
    + fix CVE-2020-11728 "Session::__construct() allows use of the current
      time as a session key"
    + fix CVE-2020-11729 "LSIDLogin() is insecure and can allow user
      impersonation"
  * Bump debhelper compat to level 12
  * Update copyright years
  * Add upstream metadata
  * Declare compliance with Debian Policy 4.5.0

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Apr 2020 21:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: awl
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
+Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), jdupes, doxygen, phpunit
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), jdupes, doxygen, phpunit
 Vcs-git: https://gitlab.com/davical-project/awl.git
 Vcs-browser: https://gitlab.com/davical-project/awl
 Homepage: https://www.davical.org

## awl 0.62

=== debian/changelog ===
awl (0.62-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.37, 0.33.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Changed vcs type from git to Git based on URL.

  [ Florian Schlichting ]
  * New upstream release 0.62
  * Bump debhelper compat to level 13 (no changes necessary)
  * Bump d/watch to version 4 (no changes necessary)
  * Add Rules-Requires-Root: no
  * Update copyright years
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 Mar 2021 21:15:31 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), jdupes, doxygen, phpunit
-Vcs-git: https://gitlab.com/davical-project/awl.git
-Vcs-browser: https://gitlab.com/davical-project/awl
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), jdupes, doxygen, phpunit
+Vcs-Browser: https://gitlab.com/davical-project/awl
+Vcs-Git: https://gitlab.com/davical-project/awl.git
 Homepage: https://www.davical.org
+Rules-Requires-Root: no
 
 Package: libawl-php
 Architecture: all

=== debian/watch ===
version=4
https://gitlab.com/davical-project/awl/tags?sort=updated_desc \/davical-project\/awl\/-\/archive\/r([\d.]+)\/awl-r[\d.]+\.tar\.gz

## awl 0.63

=== debian/changelog ===
awl (0.63-1) unstable; urgency=medium

  * New upstream release 0.63 (closes: #1005449)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Tue, 04 Oct 2022 12:47:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), jdupes, doxygen, phpunit
 Vcs-Browser: https://gitlab.com/davical-project/awl
 Vcs-Git: https://gitlab.com/davical-project/awl.git

## awl 0.64

=== debian/changelog ===
awl (0.64-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for PHPUnit 11 (Closes: #1039742, #1092141)

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 13:23:08 +0100

awl (0.64-1) unstable; urgency=medium

  * New upstream release 0.64
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.2

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Mar 2023 21:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Davical Development Team <davical-devel@lists.sourceforge.net>
 Uploaders: Andrew McMillan <awm@debian.org>,
  Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), jdupes, doxygen, phpunit
 Vcs-Browser: https://gitlab.com/davical-project/awl
 Vcs-Git: https://gitlab.com/davical-project/awl.git

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
-
